

----------------------
---------Campo Reporte
----------------------
declare @idpadre as int
declare @uid as varchar (50)
declare @eid as varchar (10)

set @idpadre = ( select id from gui_funcionalidad where funcionalidad ='campo reporte' and nombreControl='inc_camporeporte')
set @uid = (select uid from seg_usuario where id =1)
set @eid = '01'

if not exists (select id from gui_funcionalidad where id_funcionalidad = @idpadre and nombreComando ='Crear')
insert into [dbo].[gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[esMenu],[nombreControl],[nombreComando],[orden],[id_funcionalidad],[id_tipoFuncionalidad])
values(@uid ,@eid,1,1, GETDATE(), GETDATE(),1, 'Crear campo reporte', 1, NULL,'Crear',0, @idpadre,5) 

if not exists (select id from gui_funcionalidad where id_funcionalidad = @idpadre and nombreComando ='Editar')
insert into [dbo].[gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[esMenu],[nombreControl],[nombreComando],[orden],[id_funcionalidad],[id_tipoFuncionalidad])
values(@uid ,@eid,1,1, GETDATE(), GETDATE(),1, 'Editar campo reporte', 1, NULL,'Editar',0, @idpadre,5) 

if not exists (select id from gui_funcionalidad where id_funcionalidad = @idpadre and nombreComando ='Eliminar')
insert into [dbo].[gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[esMenu],[nombreControl],[nombreComando],[orden],[id_funcionalidad],[id_tipoFuncionalidad])
values(@uid ,@eid,1,1, GETDATE(), GETDATE(),1, 'Eliminar campo reporte', 1, NULL,'Eliminar',0, @idpadre,5) 
go

----------------------
--------Opcion Reporte
----------------------
declare @idpadre as int
declare @uid as varchar (50)
declare @eid as varchar (10)

set @idpadre = ( select id from gui_funcionalidad where funcionalidad ='opcion reporte' and nombreControl='inc_opcionreporte')
set @uid = (select uid from seg_usuario where id =1)
set @eid = '01'

if not exists (select id from gui_funcionalidad where id_funcionalidad = @idpadre and nombreComando ='Crear')
insert into [dbo].[gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[esMenu],[nombreControl],[nombreComando],[orden],[id_funcionalidad],[id_tipoFuncionalidad])
values(@uid ,@eid,1,1, GETDATE(), GETDATE(),1, 'Crear opcion reporte', 1, NULL,'Crear',0, @idpadre,5) 

if not exists (select id from gui_funcionalidad where id_funcionalidad = @idpadre and nombreComando ='Editar')
insert into [dbo].[gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[esMenu],[nombreControl],[nombreComando],[orden],[id_funcionalidad],[id_tipoFuncionalidad])
values(@uid ,@eid,1,1, GETDATE(), GETDATE(),1, 'Editar opcion reporte', 1, NULL,'Editar',0, @idpadre,5) 

if not exists (select id from gui_funcionalidad where id_funcionalidad = @idpadre and nombreComando ='Eliminar')
insert into [dbo].[gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[esMenu],[nombreControl],[nombreComando],[orden],[id_funcionalidad],[id_tipoFuncionalidad])
values(@uid ,@eid,1,1, GETDATE(), GETDATE(),1, 'Eliminar opcion reporte', 1, NULL,'Eliminar',0, @idpadre,5) 
go

----------------------
-----------Origen Dato
----------------------
declare @idpadre as int
declare @uid as varchar (50)
declare @eid as varchar (10)

set @idpadre = ( select id from gui_funcionalidad where funcionalidad ='origen dato' and nombreControl='inc_origendato')
set @uid = (select uid from seg_usuario where id =1)
set @eid = '01'

if not exists (select id from gui_funcionalidad where id_funcionalidad = @idpadre and nombreComando ='Crear')
insert into [dbo].[gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[esMenu],[nombreControl],[nombreComando],[orden],[id_funcionalidad],[id_tipoFuncionalidad])
values(@uid ,@eid,1,1, GETDATE(), GETDATE(),1, 'Crear origen dato', 1, NULL,'Crear',0, @idpadre,5) 

if not exists (select id from gui_funcionalidad where id_funcionalidad = @idpadre and nombreComando ='Editar')
insert into [dbo].[gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[esMenu],[nombreControl],[nombreComando],[orden],[id_funcionalidad],[id_tipoFuncionalidad])
values(@uid ,@eid,1,1, GETDATE(), GETDATE(),1, 'Editar origen dato', 1, NULL,'Editar',0, @idpadre,5) 

if not exists (select id from gui_funcionalidad where id_funcionalidad = @idpadre and nombreComando ='Eliminar')
insert into [dbo].[gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[esMenu],[nombreControl],[nombreComando],[orden],[id_funcionalidad],[id_tipoFuncionalidad])
values(@uid ,@eid,1,1, GETDATE(), GETDATE(),1, 'Eliminar origen dato', 1, NULL,'Eliminar',0, @idpadre,5) 
go






